Index: npl/internetserver/apache_conf/apache_conf.build
===================================================================
--- npl/internetserver/apache_conf/apache_conf.build	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/apache_conf/apache_conf.build	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,1 +1,1 @@
-6437
+6439
Index: npl/internetserver/apache_conf/apache_conf.md5
===================================================================
--- npl/internetserver/apache_conf/apache_conf.md5	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/apache_conf/apache_conf.md5	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,5 +1,5 @@
-3401dd091aa9cdaff2a4045393ddbef4  ./apache_conf.pkg
+a9fc66761161a1df13f80f74df72c521  ./apache_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./apache_conf.SlackBuild
-449826fbb49a494aed99e2fbf10b7945  ./apache_conf.SlackBuild.log.gz
+16fe6d19f1cb00b83fc6c4213cf19c09  ./apache_conf.SlackBuild.log.gz
 338c8fb6cb12a77c1147519347f0cfbe  ./root/etc/apache2/conf.d/httpd-autoindex.conf
 718f54d560d303c8f6d82484977d5acf  ./root/etc/apache2/conf.d/httpd-dav.conf
@@ -20,5 +20,5 @@
 30baa04580b9a53bf204dc1164221241  ./root/etc/logrotate.d/apache2
 4b30e6ab44455cf3094ca6273700001b  ./root/etc/php5/pear.conf
-ff28eb1ad94185eb0517af39c39d4c8d  ./root/etc/php5/php.ini
+d7c01829b4c122eb2e269c126aa6ab70  ./root/etc/php5/php.ini
 b54388d73ed4dc4198fc7f04bed5daa3  ./root/etc/postinst.d/post.apache_conf
 11658bab7bd1a7380827f7c73f85a753  ./root/service/apache2/run
Index: npl/internetserver/apache_conf/root/etc/php5/php.ini
===================================================================
--- npl/internetserver/apache_conf/root/etc/php5/php.ini	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/apache_conf/root/etc/php5/php.ini	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -304,6 +304,6 @@
 max_input_time = 60	; Maximum amount of time each script may spend parsing request data
 ;max_input_nesting_level = 64 ; Maximum input variable nesting level
-;512M neccesary for z-push -a fixstates
-memory_limit = 512M      ; Maximum amount of memory a script may consume 
+;1024M neccesary for z-push -a fixstates
+memory_limit = 1024M      ; Maximum amount of memory a script may consume 
 
 
Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/libreswan_conf/libreswan_conf.build	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,1 +1,1 @@
-6552
+6556
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,9 +1,9 @@
-544cf91ec7a3987868055d7eeb063aed  ./libreswan_conf.pkg
+4d48ba9ca2bafc2d8c6cad067cc10f96  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-7dc0067eced4d98f26cb9b532dc61691  ./libreswan_conf.SlackBuild.log.gz
-811bbe5f8db6bf1ffff4ed5b66fc05f2  ./root/etc/ipsec.conf
+dc356298edb5594410a30833681746dc  ./libreswan_conf.SlackBuild.log.gz
+84184b6c712f668b04ef8edb785c01a1  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
-c72a5d7a716724e4f8a2e4f28421f0ae  ./root/etc/postinst.d/post.libreswan
+1a5e15db17d1250abb2596361383d0d1  ./root/etc/postinst.d/post.libreswan
 60ae7c5340247d26161043df4e361722  ./root/home/system/ipsec.d/policies/block
 9e6cbaea66c6f14c9f8e7a6e6b4d720e  ./root/home/system/ipsec.d/policies/clear
@@ -13,4 +13,5 @@
 68b329da9893e34099c7d8ad5cb9c940  ./root/home/system/ipsec.d/tunnels/dummy.conf
 87a28e77aef254bdb8259f4388b40d45  ./root/sbin/syn3-ipseccheck
+a33b03980a28bb1ca9089298f0db1bcf  ./root/sbin/syn3-ipsecpubkey
 9d6f0923366b4e95a8a9fcd85dcaaf56  ./root/service/ipsec/run
 e458545ffca980b0a2d4d8106680f4b0  ./root/service/ipsec/start
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -15,5 +15,5 @@
         dpddelay=30
         dpdtimeout=120
-
+        ikev2=never
+        
 include /etc/ipsec.d/tunnels/*.conf
-
Index: npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/libreswan_conf/root/etc/postinst.d/post.libreswan	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -9,11 +9,11 @@
 
 
-KEY=/etc/ipsec.d/ipsec.pub
-if ! egrep '(ckaid|CKA_ID)' $KEY >/dev/null; then
-    rm $KEY 2>/dev/null
+if ! syn3-ipsecpubkey; then
+    #obsolete
+    rm /etc/ipsec.d/ipsec.pub 2>/dev/null
+
     echo Generating ipsec key
-    ipsec newhostkey --bits 2192 --output $KEY || exit 1
-    #previous command can fail without proper exit code, so check it:
-    egrep '(ckaid|CKA_ID)' $KEY >/dev/null || exit 1
+    ipsec newhostkey --bits 2192 || exit 1
+    syn3-ipsecpubkey || exit 1
 fi
 depmod -a
Index: npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey
===================================================================
--- npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/libreswan_conf/root/sbin/syn3-ipsecpubkey	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,6 @@
+#!/bin/bash -e
+
+CKAID=`ipsec showhostkey --list |tail -n1 |sed 's/.* //'` 
+[ "$CKAID" ] || exit 1
+ipsec showhostkey --ckaid $CKAID --left |grep leftrsasigkey= | sed 's/.*leftrsasigkey=//'
+
Index: npl/internetserver/ntop/no_zc.patch
===================================================================
--- npl/internetserver/ntop/no_zc.patch	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/no_zc.patch	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,226 @@
+diff -r -u ntopng-dev/include/ntop_includes.h ntopng-dev.new/include/ntop_includes.h
+--- ntopng-dev/include/ntop_includes.h	2017-04-24 14:19:03.000000000 +0000
++++ ntopng-dev.new/include/ntop_includes.h	2017-04-25 10:48:47.000000000 +0000
+@@ -106,7 +106,6 @@
+ #include "lualib.h"
+ #ifdef HAVE_PF_RING
+ #include "pfring.h"
+-#include "pfring_zc.h"
+ #endif
+ #ifdef HAVE_NETFILTER
+ #include <linux/types.h>
+@@ -234,7 +233,6 @@
+ #endif
+ #include "ParserInterface.h"
+ #include "CollectorInterface.h"
+-#include "ZCCollectorInterface.h"
+ #include "DummyInterface.h"
+ #include "ExportInterface.h"
+ #include "Geolocation.h"
+diff -r -u ntopng-dev/src/ZCCollectorInterface.cpp ntopng-dev.new/src/ZCCollectorInterface.cpp
+--- ntopng-dev/src/ZCCollectorInterface.cpp	2017-04-24 14:19:03.000000000 +0000
++++ ntopng-dev.new/src/ZCCollectorInterface.cpp	2017-04-25 10:45:24.000000000 +0000
+@@ -1,176 +0,0 @@
+-/*
+- *
+- * (C) 2016-17 - ntop.org
+- *
+- *
+- * This program is free software; you can redistribute it and/or modify
+- * it under the terms of the GNU General Public License as published by
+- * the Free Software Foundation; either version 3 of the License, or
+- * (at your option) any later version.
+- *
+- * This program is distributed in the hope that it will be useful,
+- * but WITHOUT ANY WARRANTY; without even the implied warranty of
+- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+- * GNU General Public License for more details.
+- *
+- * You should have received a copy of the GNU General Public License
+- * along with this program; if not, write to the Free Software Foundation,
+- * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+- *
+- */
+-
+-#include "ntop_includes.h"
+-
+-#if defined(HAVE_PF_RING) && (!defined(__mips)) && (!defined(__arm__)) && (!defined(__i686__))
+-
+-/* **************************************************** */
+-
+-ZCCollectorInterface::ZCCollectorInterface(const char *name) : ParserInterface(name) {
+-  char ifname[32];
+-  char *at;
+-
+-  cluster_id = queue_id = 0;
+-
+-  snprintf(ifname, sizeof(ifname), "%s", &name[7]);
+-
+-  at = strchr(ifname, '@');
+-
+-  if(at != NULL) {
+-    queue_id = atoi(&at[1]);
+-    at[0] = '\0';
+-  }
+-
+-  cluster_id = atoi(ifname);
+-
+-  zq = pfring_zc_ipc_attach_queue(cluster_id, queue_id, rx_only);
+-
+-  if(zq == NULL)
+-    throw("pfring_zc_ipc_attach_queue error");
+-
+-  zp = pfring_zc_ipc_attach_buffer_pool(cluster_id, queue_id);
+-
+-  if(zp == NULL)
+-    throw("pfring_zc_ipc_attach_buffer_pool error");
+-
+-  buffer = pfring_zc_get_packet_handle_from_pool(zp);
+-
+-  if(buffer == NULL)
+-    throw("pfring_zc_get_packet_handle_from_pool error");
+-
+-  memset(&last_pfring_zc_stat, 0, sizeof(last_pfring_zc_stat));
+-}
+-
+-/* **************************************************** */
+-
+-ZCCollectorInterface::~ZCCollectorInterface() {
+-  pfring_zc_sync_queue(zq, rx_only);
+-  pfring_zc_release_packet_handle_to_pool(zp, buffer);
+-  pfring_zc_ipc_detach_queue(zq);
+-  pfring_zc_ipc_detach_buffer_pool(zp);
+-}
+-
+-/* **************************************************** */
+-
+-void ZCCollectorInterface::collect_flows() {
+-  int rc;
+-
+-  ntop->getTrace()->traceEvent(TRACE_NORMAL, "Collecting flows from ZC queue %u@%u", cluster_id, queue_id);
+-
+-  while(isRunning()) {
+-    while(idle()) {
+-      purgeIdle(time(NULL));
+-      sleep(1);
+-      if(ntop->getGlobals()->isShutdown()) return;
+-    }
+-
+-    rc = pfring_zc_recv_pkt(zq, &buffer, 0 /* wait_for_packet */);
+-
+-    if(rc > 0) {
+-      u_char *json = pfring_zc_pkt_buff_data(buffer, zq);
+-      const char *master = "{ \"if.name\"";
+-      
+-      ntop->getTrace()->traceEvent(TRACE_INFO, "%s", json);
+-      // fprintf(stdout, "+"); fflush(stdout);
+-
+-      if(strncmp((char*)json, master, strlen(master)) == 0) {
+-	parseEvent((char*)json, buffer->len, 0, (void*)this);
+-      } else
+-	parseFlow((char*)json, buffer->len, 0, (void*)this);
+-      // fprintf(stdout, "."); fflush(stdout);
+-    } else if(rc == 0) {
+-      usleep(1);
+-      purgeIdle(time(NULL));
+-      // fprintf(stdout, "*"); fflush(stdout);
+-    } else {
+-      /* rc < 0 */
+-      break;
+-    }
+-  }
+-
+-  ntop->getTrace()->traceEvent(TRACE_NORMAL, "ZC Flow collection is over.");
+-
+-  pfring_zc_sync_queue(zq, rx_only);
+-}
+-
+-/* **************************************************** */
+-
+-static void *packetPollLoop(void *ptr) {
+-  ZCCollectorInterface *iface = (ZCCollectorInterface *) ptr;
+-
+-  /* Wait until the initialization completes */
+-  while(!iface->isRunning()) sleep(1);
+-
+-  iface->collect_flows();
+-  return(NULL);
+-}
+-
+-/* **************************************************** */
+-
+-void ZCCollectorInterface::startPacketPolling() {
+-  pthread_create(&pollLoop, NULL, packetPollLoop, (void *) this);
+-  pollLoopCreated = true;
+-  NetworkInterface::startPacketPolling();
+-}
+-
+-/* **************************************************** */
+-
+-void ZCCollectorInterface::shutdown() {
+-  if(running) {
+-    void *res;
+-
+-    NetworkInterface::shutdown();
+-    pfring_zc_queue_breakloop(zq);
+-    pthread_join(pollLoop, &res);
+-  }
+-}
+-
+-/* **************************************************** */
+-
+-bool ZCCollectorInterface::set_packet_filter(char *filter) {
+-  ntop->getTrace()->traceEvent(TRACE_ERROR,
+-			       "No filter can be set on a collector interface. Ignored %s", filter);
+-  return(false);
+-}
+-
+-/* **************************************************** */
+-
+-u_int32_t ZCCollectorInterface::getNumDroppedPackets() {
+-  pfring_zc_stat stats;
+-
+-  if(pfring_zc_stats(zq, &stats) >= 0) {
+-#if 0
+-    ntop->getTrace()->traceEvent(TRACE_NORMAL, "[%s][Sent: %llu]"
+-				 "[Rcvd: %llu][Drops: %llu][QueueLen: %d]",
+-				 ifname, stats.sent, stats.recv, stats.drop,
+-				 stats.sent-stats.recv);
+-#endif
+-    return(stats.drop);
+-  }
+-
+-  return 0;
+-}
+-
+-/* **************************************************** */
+-
+-#endif
+-
+diff -r -u ntopng-dev/src/main.cpp ntopng-dev.new/src/main.cpp
+--- ntopng-dev/src/main.cpp	2017-04-24 14:19:03.000000000 +0000
++++ ntopng-dev.new/src/main.cpp	2017-04-25 10:45:24.000000000 +0000
+@@ -161,10 +161,6 @@
+ 	  endpoint = ifName;
+ 
+ 	iface = new CollectorInterface(endpoint);
+-#if defined(HAVE_PF_RING) && (!defined(__mips)) && (!defined(__arm__)) && (!defined(__i686__))
+-      } else if(strstr(ifName, "zcflow:")) {
+-	iface = new ZCCollectorInterface(ifName);
+-#endif
+       } else {
+ 	iface = NULL;
+ 
+diff -r -u ntopng-dev/third-party/json-c/config.h.in ntopng-dev.new/third-party/json-c/config.h.in
+--- ntopng-dev/third-party/json-c/config.h.in	2017-04-24 14:19:03.000000000 +0000
++++ ntopng-dev.new/third-party/json-c/config.h.in	2017-04-25 10:46:33.000000000 +0000
+@@ -104,8 +104,7 @@
+ /* Public define for json_inttypes.h */
+ #undef JSON_C_HAVE_INTTYPES_H
+ 
+-/* Define to the sub-directory in which libtool stores uninstalled libraries.
+-   */
++/* Define to the sub-directory where libtool stores uninstalled libraries. */
+ #undef LT_OBJDIR
+ 
+ /* Name of package */
Index: npl/internetserver/ntop/ntop.SlackBuild
===================================================================
--- npl/internetserver/ntop/ntop.SlackBuild	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.SlackBuild	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+#NEED:git
+##DEP:ndpi
+#DEP:libpcap
+#DEP:sqlite
+#DEP:mysql56
+#DEP:glib2
+#DEP:libxml2
+#DEP:rrdtool
+#NEED:groff
+#DEP:zlib
+#DEP:curl
+##DEP:drv_pf_ring
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#git clone http://github.com/ntop/ntopng.git || exit 1
+
+
+#Archive of the sourcefiles to unpack 
+#SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+SRC_ARC=ntopng-dev.zip
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+#VER=`cd ntopng; git describe --tags|sed 's/-/_/g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+#SRC_DIR=ntopng
+
+#apply patches
+#patch -p1 -d $SRC_DIR < no_zc.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+
+#get ndpi sources
+pushd ..
+#git clone http://github.com/ntop/nDPI.git 
+unzip nDPI-dev.zip 
+mv nDPI-dev nDPI
+#git clone -b 1.8 https://github.com/ntop/nDPI.git 
+cd nDPI
+./autogen.sh
+make $MAKE_OPTS
+popd
+
+
+MAKE_OPTS=""
+./autogen.sh
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/ntop/ntop.arch
===================================================================
--- npl/internetserver/ntop/ntop.arch	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.arch	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,1 @@
+i686
Index: npl/internetserver/ntop/ntop.build
===================================================================
--- npl/internetserver/ntop/ntop.build	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.build	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,1 @@
+5
Index: npl/internetserver/ntop/ntop.depver
===================================================================
--- npl/internetserver/ntop/ntop.depver	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.depver	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,8 @@
+libpcap	0107
+sqlite	2
+mysql56	1
+glib2	2
+libxml2	1
+rrdtool	0
+zlib	0
+curl	1
Index: npl/internetserver/ntop/ntop.md5
===================================================================
--- npl/internetserver/ntop/ntop.md5	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.md5	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,6 @@
+cdae3046a4f1750a8b94f1c5f8c0d533  ./nDPI-dev.zip
+1b0a9a81677926e892b364c89715220f  ./no_zc.patch
+124698b38a905aba53020b5a0566657b  ./ntopng-dev.zip
+9f2dc5ab9048d4f2cafb95d9d3df8961  ./ntop.pkg
+a6150b476ea199994fc5c24b5e5f5835  ./ntop.SlackBuild
+7592823fd4b8fefe57b2be2c9871a56f  ./ntop.SlackBuild.log.gz
Index: npl/internetserver/ntop/ntop.version
===================================================================
--- npl/internetserver/ntop/ntop.version	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/ntop/ntop.version	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,1 @@
+dev
Index: npl/internetserver/openvpn_conf/openvpn_conf.build
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/openvpn_conf/openvpn_conf.build	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,1 +1,1 @@
-6561
+6563
Index: npl/internetserver/openvpn_conf/openvpn_conf.md5
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,10 +1,12 @@
-f252b6be6fbe355ce70d67e605bc028f  ./openvpn_conf.pkg
+0ab41adcd797338547f856c0311d1e7c  ./openvpn_conf.pkg
 729b418d4c2197708760319d4097906e  ./openvpn_conf.SlackBuild
-3ef63c1ab09a98e4e2a4be746501cd81  ./openvpn_conf.SlackBuild.log.gz
+0c04756dbdb291081ddcd0f464b0b65e  ./openvpn_conf.SlackBuild.log.gz
 638790d39f3f773301dd0c58a0db6008  ./root/etc/cron.monthly/openvpn_regen_crl
 02590f2d27b9254da5877e03719a9228  ./root/etc/firewall/services.openvpn
 5d08314120a94191e539c792b1c410a2  ./root/etc/openvpn/easyrsa
 d6cb374d0d7d5b7b87d74f9976362a70  ./root/etc/openvpn/openssl-1.0.cnf
-5a93266250a72d36d413e11784cbfb20  ./root/etc/openvpn/openvpn.conf
+88937c4fed1e288bcedfc2975792c331  ./root/etc/openvpn/openvpn.conf
+587c47cd3871a89b73f07716e722e953  ./root/etc/openvpn/openvpn_custom.conf.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/etc/openvpn/openvpn_syn3.conf.new
 f3bdb2484e8eee18be1cb25093d1d19a  ./root/etc/openvpn/pam_ldap.conf
 a7956355ff8cb69cc5ee0ed476380149  ./root/etc/openvpn/syn3-client
@@ -17,3 +19,3 @@
 d0d7a06379af67505bf5dae59d3e7afb  ./root/etc/openvpn/x509-types/server
 c8fadda104656594f3ceadbb13d9d178  ./root/etc/pam.d/openvpn
-152c8cb4320ada777fdb72d8c75f6eeb  ./root/service/openvpn/run
+a6e8a68a743fe6448c01ccba1db33569  ./root/service/openvpn/run
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn.conf	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -1,23 +1,8 @@
-#################################################
-# Sample OpenVPN 2.0 config file for            #
-# multi-client server.                          #
-#                                               #
-# This file is for the server side              #
-# of a many-clients  one-server                 #
-# OpenVPN configuration.                        #
-#                                               #
-# OpenVPN also supports                         #
-# single-machine  single-machine                #
-# configurations (See the Examples page         #
-# on the web site for more info).               #
-#                                               #
-# This config should work on Windows            #
-# or Linux/BSD systems.  Remember on            #
-# Windows to quote pathnames and use            #
-# double backslashes, e.g.:                     #
-# "C:\\Program Files\\OpenVPN\\config\\foo.key" #
-#                                               #
-# Comments are preceded with '#' or ';'         #
-#################################################
+#########################################
+### SYN-3 openvpn configuration
+### This file will be overwritten by updates.
+### Please make changes in /etc/openvpn/openvpn_custom.conf
+##########################################
+
 
 # Which local IP address should OpenVPN
@@ -86,5 +71,5 @@
 #   openssl dhparam -out dh1024.pem 1024
 # Substitute 2048 for 1024 if you are using
-# 2048 bit keys. 
+# 2048 bit keys.
 dh /etc/openvpn/pki/dh.pem
 
@@ -183,5 +168,5 @@
 # a more specific route than the default route
 # of 0.0.0.0/0.0.0.0.
-push "redirect-gateway"
+;push "redirect-gateway"
 
 # Certain Windows-specific network settings
@@ -189,5 +174,5 @@
 # or WINS server addresses.  CAVEAT:
 # http://openvpn.net/faq.html#dhcpcaveats
-push "dhcp-option DNS 10.8.0.1"
+;push "dhcp-option DNS 10.8.0.1"
 ;push "dhcp-option WINS 10.8.0.1"
 
@@ -300,3 +285,2 @@
 # pam_ldap authentication (need to be member of group with uid 521)
 plugin /usr/lib/openvpn/plugins/openvpn-plugin-auth-pam.so "openvpn login USERNAME password PASSWORD"
-
Index: npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
+++ npl/internetserver/openvpn_conf/root/etc/openvpn/openvpn_custom.conf.new	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -0,0 +1,1 @@
+# Put your custom openvpn setting here. This will not be overwritten by updates.
Index: npl/internetserver/openvpn_conf/root/service/openvpn/run
===================================================================
--- npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 28afc38018a1ee16e0e2f2f7279fdbc4aa59e3db)
+++ npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision ce9f9b3a52acbfeacda94abadca9d652288647b7)
@@ -52,4 +52,3 @@
 modprobe tun
 
-exec openvpn --config openvpn.conf
-
+exec openvpn --config openvpn.conf --config openvpn_syn3.conf  --config openvpn_custom.conf
